// Container module.
module SoS_Explorer.Objective

    // Calculate the overall value for a given architecture.
    let Overall_Objective(objectives : float[]) =

        // Number of elements
        let numObjectives = objectives.Length

        // Objective indices
        let obj_Affordability = 0
        let obj_Performance   = 1
        let obj_Scalability   = 2
        let obj_Flexibility   = 3
        let obj_Robustness    = 4
        
        let w = [| 0.6; 0.2; 0.2; 0.0; 0.0 |]

        let mutable overall = 0.0
        for i = 0 to numObjectives - 1 do
            overall <- overall + w.[i] * objectives.[i]

        overall
